org.jbpm.kie.services.impl.admin

## Class TaskReassignmentImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.admin.TaskReassignmentImpl

- All Implemented Interfaces:
    Serializable, TaskReassignment

      public class TaskReassignmentImpl
      extends Object
      implements TaskReassignment

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskReassignmentImpl(Long id, String name, Date date, List<org.kie.api.task.model.OrganizationalEntity> potentialOwners, boolean active)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getDate()` Returns date that the reassignment is schedule to happen
    `Long` | `getId()` Returns unique id of the task reassignment
    `String` | `getName()` Returns optional name of the reassignment
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getPotentialOwners()` Returns list of potential owners to be set after reassignment
    `boolean` | `isActive()` Returns if given reassignment is active
    `void` | `setActive(boolean active)`
    `void` | `setDate(Date date)`
    `void` | `setId(Long id)`
    `void` | `setName(String name)`
    `void` | `setPotentialOwners(List<org.kie.api.task.model.OrganizationalEntity> recipients)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskReassignmentImpl

          public TaskReassignmentImpl(Long id,
                                      String name,
                                      Date date,
                                      List<org.kie.api.task.model.OrganizationalEntity> potentialOwners,
                                      boolean active)

  - ### Method Detail

    - #### getId

          public Long getId()

      Description copied from interface: `TaskReassignment`
      Returns unique id of the task reassignment
      Specified by:
        `getId` in interface `TaskReassignment`
      Returns:
        reassignment id

    - #### setId

          public void setId(Long id)

    - #### getName

          public String getName()

      Description copied from interface: `TaskReassignment`
      Returns optional name of the reassignment
      Specified by:
        `getName` in interface `TaskReassignment`
      Returns:
        reassignment name

    - #### setName

          public void setName(String name)

    - #### getDate

          public Date getDate()

      Description copied from interface: `TaskReassignment`
      Returns date that the reassignment is schedule to happen
      Specified by:
        `getDate` in interface `TaskReassignment`
      Returns:
        reassignment schedule date

    - #### setDate

          public void setDate(Date date)

    - #### getPotentialOwners

          public List<org.kie.api.task.model.OrganizationalEntity> getPotentialOwners()

      Description copied from interface: `TaskReassignment`
      Returns list of potential owners to be set after reassignment
      Specified by:
        `getPotentialOwners` in interface `TaskReassignment`
      Returns:
        potential owners

    - #### setPotentialOwners

          public void setPotentialOwners(List<org.kie.api.task.model.OrganizationalEntity> recipients)

    - #### isActive

          public boolean isActive()

      Description copied from interface: `TaskReassignment`
      Returns if given reassignment is active
      Specified by:
        `isActive` in interface `TaskReassignment`
      Returns:
        active

    - #### setActive

          public void setActive(boolean active)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.